Swiss Army Knife tool... It slices and dices and makes the laundry!

This tool allows one to cut sequences and parts of sequences out of sequence
files.  It supports all formats supported by the AutoSeqFormat class from
SeqAn, including FASTA, FASTQ and QSeq (Illumina format).

Output of sak --help:

************************
*** Swiss Army Knife ***
************************

Usage: sak [OPTION]... <SOURCE SEQUENCE FILE>


Main Options:
  -o,  --output FILE            	set output filename (default: use stdout)
  -q,  --qual                   	enable Fastq output (default: Fasta)
  -h,  --help                   	print this help

Extract Options:
  -s,  --sequence NUM           	select a single sequence by index
  -sn, --sequence-name NAME     	select a single sequence by name
  -ss, --sequences START END    	select sequences (default: select all)
  -i,  --infix START END        	extract infix
  -rc, --revcomp                	reverse complement
